Last Comment Bug 745879 - OAuth dialog url and secure icon not vertically aligned properly
: OAuth dialog url and secure icon not vertically aligned properly
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: BigFiles
  Show dependency treegraph
 
Reported: 2012-04-16 12:27 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-04-18 07:00 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Problem on Windows 7 Aero (6.24 KB, image/png)
2012-04-16 12:27 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details
Problem on Windows XP (4.32 KB, image/png)
2012-04-16 12:28 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details
Problem on OSX (14.07 KB, image/png)
2012-04-16 12:29 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details
Fix (1.35 KB, patch)
2012-04-16 13:34 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Fix (1.36 KB, patch)
2012-04-16 13:36 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Fix on Ubuntu (222.94 KB, image/png)
2012-04-17 08:03 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details
Fix 2nd try (1.53 KB, patch)
2012-04-17 09:39 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Fix 2nd try on Windows 7 Aero (7.98 KB, image/png)
2012-04-17 10:54 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details
Fix v3 (2.74 KB, patch)
2012-04-17 12:02 PDT, Richard Marti (:Paenglab)
mconley: review+
Details | Diff | Splinter Review
Patch for check-in addressing comment (2.74 KB, patch)
2012-04-17 13:51 PDT, Richard Marti (:Paenglab)
richard.marti: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-04-16 12:27:39 PDT
Created attachment 615418 [details]
Problem on Windows 7 Aero

On Windows 7, XP and on OSX, the little green circle icon and the URL seem to be misaligned.  See screenshots.
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-04-16 12:28:14 PDT
Created attachment 615420 [details]
Problem on Windows XP
Comment 2 Mike Conley (:mconley) - (Needinfo me!) 2012-04-16 12:29:51 PDT
Created attachment 615422 [details]
Problem on OSX
Comment 3 Richard Marti (:Paenglab) 2012-04-16 13:34:45 PDT
Created attachment 615447 [details] [diff] [review]
Fix

The description (the URL) has a margin-bottom of 4px but on top only 1px. This patch gives on top a margin of 3px. This centers the text better and also the secure icon. When I give on bottom a margin of 3px the icon is no more centered.
On Mac I changed the useless padding-right: 5px to a working margin-right: 5px to give a gap between icon and text.
Comment 4 Richard Marti (:Paenglab) 2012-04-16 13:36:56 PDT
Created attachment 615448 [details] [diff] [review]
Fix

Oops a tab instead of spaces slipped in.
Comment 5 Mike Conley (:mconley) - (Needinfo me!) 2012-04-17 08:03:13 PDT
Created attachment 615718 [details]
Fix on Ubuntu

Hey Paenglab,

Thanks for tackling this!  I've noticed that the icon is still not exactly centered vertically on Ubuntu.  See screenshot. Care to tweak it?

-Mike
Comment 6 Richard Marti (:Paenglab) 2012-04-17 09:39:08 PDT
Created attachment 615750 [details] [diff] [review]
Fix 2nd try

This should be better.
Comment 7 Mike Conley (:mconley) - (Needinfo me!) 2012-04-17 10:54:31 PDT
Created attachment 615787 [details]
Fix 2nd try on Windows 7 Aero

Paenglab,

So OSX, Ubuntu, and Windows XP / Classic all look great now.

Windows Aero still looks a bit off.  See screenshot.

-Mike
Comment 8 Richard Marti (:Paenglab) 2012-04-17 12:02:18 PDT
Created attachment 615810 [details] [diff] [review]
Fix v3

Added browserRequest-aero.css to fix the differences between XP and Win7.
Comment 9 Mike Conley (:mconley) - (Needinfo me!) 2012-04-17 12:29:59 PDT
Comment on attachment 615810 [details] [diff] [review]
Fix v3

Review of attachment 615810 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks Paenglab - looks great!

Just one nit.  Once fixed, r=me.

::: mail/themes/pinstripe/mail/browserRequest.css
@@ +75,5 @@
>      font-weight: normal;
>  }
> +
> +#headerMessage {
> +    margin-top: 3px;

These should be indented 2 spaces, not 4.
Comment 10 Richard Marti (:Paenglab) 2012-04-17 13:51:25 PDT
Created attachment 615861 [details] [diff] [review]
Patch for check-in addressing comment

Patch addressing review

Carrying over r+
Comment 11 Ryan VanderMeulen [:RyanVM] 2012-04-17 16:40:04 PDT
http://hg.mozilla.org/comm-central/rev/db79074493e3
Comment 12 Mike Conley (:mconley) - (Needinfo me!) 2012-04-17 17:46:29 PDT
Comment on attachment 615861 [details] [diff] [review]
Patch for check-in addressing comment

We want this for Filelink.
Comment 13 Mike Conley (:mconley) - (Needinfo me!) 2012-04-18 07:00:12 PDT
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/a1a9b3984c5a

Note You need to log in before you can comment on or make changes to this bug.